restore_group is not supported by this backend

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

restore_group is not supported by this backend

Charles DeVault
Hi,

When releasing or deleting a message from the quarantine, I'm getting a
500 error followed by the typical error email with this error:

NotImplementedError: restore_group is not supported by this backend.

The message is properly deleted and/or released.

Relevant logs:

2014-01-15 11:32:54,130 Baruwa[14000]: Got task from broker:
process-quarantined-msg[fdd76a4b-0543-4183-acee-ce011332cf65]
2014-01-15 11:32:54,131 Baruwa[14000]: process-quarantined-msg
fdd76a4b-0543-4183-acee-ce011332cf65 Processing quarantined message:
1W3W7o-0003e3-Q5
2014-01-15 11:32:54,176 Baruwa[14000]: process-quarantined-msg
fdd76a4b-0543-4183-acee-ce011332cf65 Message: 1W3W7o-0003e3-Q5 deleted
from quarantine
2014-01-15 11:32:54,211 Baruwa[14000]: Task
process-quarantined-msg[fdd76a4b-0543-4183-acee-ce011332cf65] succeeded
in 0.0796868801117s: {'errors': [], 'to_address':...


In the mailing list archives, I saw a reference to a patch fixing this
that didn't work.  Is there a working patch to resolve this error?

Thanks,
-charles

_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: restore_group is not supported by this backend

Andrew Colin Kissa
Administrator

On 15 Jan 2014, at 9:44 PM, Charles DeVault <[hidden email]> wrote:

>
> In the mailing list archives, I saw a reference to a patch fixing this that didn't work.  Is there a working patch to resolve this error?

Downgrade your celery to version 3.0.21


_______________________________________________
http://pledgie.com/campaigns/12056

signature.asc (858 bytes) Download Attachment
--
Baruwa - www.baruwa.org
Reply | Threaded
Open this post in threaded view
|

Re: restore_group is not supported by this backend

Charles DeVault
Works like a charm.  Thanks.

-charles

On 01/15/2014 01:43 PM, Andrew Colin Kissa wrote:

>
> On 15 Jan 2014, at 9:44 PM, Charles DeVault <[hidden email]> wrote:
>
>>
>> In the mailing list archives, I saw a reference to a patch fixing this that didn't work.  Is there a working patch to resolve this error?
>
> Downgrade your celery to version 3.0.21
>
>
>
> _______________________________________________
> http://pledgie.com/campaigns/12056
>

_______________________________________________
http://pledgie.com/campaigns/12056